##############################################################################
#    Copyright (C) 2001  MMmanager.org
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##############################################################################
"""
"""

from Interface import Attribute, Base

class Profile( Base ):

    """
        A Profile object for storing profile information in.
    """

    def edit(self, title=None, show_title=None, description=None, show_description=None, age=None, show_age=None, sex=None, show_sex=None, hair_color=None, eye_color=None, height=None, weight=None, location=None, show_location=None, pic_path=None, show_pic=None):
        """
            Edit the properties of the profile.
            If the supplied parameters contain None, they will not update the properties of the object.
            Reindexes the object in the catalog.
        """

    def getPicSrc(self):
        """
            Returns the absolute url (for use with e.g. image tags) to the profile picture.
            If not found, 'def_profilepic.gif' are returned.
        """

    def getParent(self):
        """
            Returns the parent object - in most cases it will be a Desktop object.
        """